Loading...
Searching...
No Matches
Object.h File Reference
`#include <Zycore/Status.h>`
`#include <Zycore/Types.h>`
Include dependency graph for Object.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef void(* | ZyanMemberProcedure) (void *object)
typedef void(* | ZyanConstMemberProcedure) (const void *object)
typedef ZyanStatus(* | ZyanMemberFunction) (void *object)
typedef ZyanStatus(* | ZyanConstMemberFunction) (const void *object)

## Detailed Description

Defines some generic object-related datatypes.

## Typedef Documentation

## ZyanConstMemberFunction

typedef ZyanStatus(* ZyanConstMemberFunction) (const void *object)

Defines the ZyanConstMemberFunction function prototype.

Parameters

  object | A pointer to the object.

Returns
  A zyan status code.

## ZyanConstMemberProcedure

typedef void(* ZyanConstMemberProcedure) (const void *object)

Defines the ZyanConstMemberProcedure function prototype.

Parameters

  object | A pointer to the object.

## ZyanMemberFunction

typedef ZyanStatus(* ZyanMemberFunction) (void *object)

Defines the ZyanMemberFunction function prototype.

Parameters

  object | A pointer to the object.

Returns
  A zyan status code.

## ZyanMemberProcedure

typedef void(* ZyanMemberProcedure) (void *object)

Defines the ZyanMemberProcedure function prototype.

Parameters

  object | A pointer to the object.